#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts("こんにちは!私、引き算機。")
puts("引き算専門の計算機だよ。2つの数を足すことができるよ。")
puts("引き算をするよ。")

def kotae(hikareru,hiku)
  if hikareru<0 || hiku<0
    return nil
  end
  return hikareru-hiku
end
  puts("引かれる数を入力")
  hikareru=gets.to_i
  puts("引く数を入力")
  hiku=gets.to_i
  printf("答えは%dだよ。\n",kotae(hikareru,hiku))
  puts("ご利用ありがとうございました!")
  puts("私には他にも仲間がいるから、使ってみてね!!")

